function s = truth_table(fbool)
  % berechnet für die boolesche Funktion fbool von n Veränderlichen die
  % Wahrheitstabelle und gibt sie aus als Zeichenkette für den 
  % Simulink-Block Combinatorial Logik
  % Beispiel
  %   f3 = @(e1, e2, e3, e4) (e3 & e1) | (e4 & ~e2)
  %   truth_table(f3)
  
  n = nargin(fbool);
  B = (0:(2^n -1))';
  Ei = zeros(2^n, n);
  
  for i=1:n
    Ei(:,i) = rem(floor(B/2^(n-i)), 2);
  end
  
  % Aufruf mit n Parametern generieren
  cmd = 'fbool(';
  for i=1:(n-1)
    cmd = [cmd sprintf('Ei(:,%d),', i)];
  end
  cmd = [cmd sprintf('Ei(:,%d))', n)];
  
  a = eval(cmd);
  
  s = '[';
  s = [s sprintf('%1d;', a(1:(2^n-1)))];
  s = [s sprintf('%1d]\n', a(2^n))];
end
